// SweeperPlayerDlg.h : header file
//

#pragma once

//#define BEGINNER
//#define INTERMEDIATE
#define EXPERT


#ifdef BEGINNER

#define MINE_WIDTH 170
#define MINE_HEIGHT 255
#define sizex 9
#define sizey 9

#endif

#ifdef INTERMEDIATE

#define MINE_WIDTH 276
#define MINE_HEIGHT 355
#define sizex 16
#define sizey 16

#endif

#ifdef EXPERT

#define MINE_WIDTH 496
#define MINE_HEIGHT 355
#define sizex 30
#define sizey 16

#endif


// CSweeperPlayerDlg dialog
class CSweeperPlayerDlg : public CDialog
{
// Construction
public:
	CSweeperPlayerDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	enum { IDD = IDD_SWEEPERPLAYER_DIALOG };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support

	int GetTile(int x, int y);
	void GetMap(HWND hwnd);
	void MarkMines();
	void MarkClear();
	HWND FindMineWindow();
	int GetMapTile(int x, int y);
	int GetMineTile(int x, int y);
	void SetClearMap(int x, int y);
	int CountUnknown(int x, int y);
	int CountMines(int x, int y);
	bool ClickClear(HWND mineWnd);
	void ClickRandom(HWND mineWnd);
	bool CheckLost();
	bool CheckWon();
	void ClickTile(int x, int y, HWND mineWnd);
	CDC buffDC;
	CBitmap bmp;
	int mx;
	int my;
	int map[30][30];
	int mineMap[30][30];
	int clearMap[30][30];
	int clickMap[30][30];

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnBnClickedOk();
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
};
